| OptFEM2D Toolbox for Matlab V1.2b1 Matlab/Octave Optimized P1-Lagrange Finite Element Method in 2D

- Main Page
- Related Pages
- Files

- File List
- File Members

All Files Functions Pages
Functions
validMassWP1.m File Reference

Validation function for the assembly of the weighted mass matrix for -Lagrange finite elements. More...

Go to the source code of this file.

## Functions
function | validMassWP1 ()
| Validation function for the assembly of the weighted mass matrix for -Lagrange finite elements.
function | validMassWP1>checkTest1 (Test)
function | validMassWP1>checkTest2 (Test)
function | validMassWP1>checkTest3 (h, error)

## Detailed Description

Validation function for the assembly of the weighted mass matrix for -Lagrange finite elements.

Definition in file validMassWP1.m.

## Function Documentation

function validMassWP1>checkTest1 | ( |  | Test | ) |

Definition at line 157 of file validMassWP1.m.

function validMassWP1>checkTest2 | ( |  | Test | ) |

Definition at line 172 of file validMassWP1.m.

function validMassWP1>checkTest3 | ( |  | h,
|  |  | error
| ) |  |

Definition at line 195 of file validMassWP1.m.

function validMassWP1 | ( |  | ) |

Validation function for the assembly of the weighted mass matrix for -Lagrange finite elements.

The Weighted Mass Matrix is given by

where are -Lagrange basis functions. This Matrix is computed by functions MassWAssemblingP1{Version} where {Version} is one of `base`, `OptV0`, `OptV1` and `OptV2`.

- Test 1: Computation of the MassW Matrix using all the versions giving errors and cputimes
- Test 2: Computation of the integral

  where and . Functions , and are those defined in valid_FEMmatrices.
- Test 3: One retrieves the order 2 of -Lagrange integration

See Also
  MassWAssemblingP1base, MassWAssemblingP1OptV0, MassWAssemblingP1OptV1, MassWAssemblingP1OptV2, valid_FEMmatrices, SquareMesh, GetMaxLengthEdges

Results
  figure : validMassWP1 Test 3 result

Author
  François Cuvelier

Date
  2012-11-26

OptFEM2DP1 [V1.2b1] - Copyright (C) 2013 CJS (LAGA)

This file is part of OptFEM2DP1. OptFEM2DP1 is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

OptFEM2DP1 is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see http://www.gnu.org/licenses/.

Definition at line 17 of file validMassWP1.m.